#pragma once

template<class F, class S> class Pair
{
	Pair(F first, S second) {
		first = first;
		second = second;
	}
  
	F getFirst() {
		return first;
	}
  
	void setFirst(F first)
	{
		first = first;
	}
  
	S getSecond()
	{
	return second;
	}
  
	void setSecond(S second)
	{
		second = second;
	}
  
	
	AgString toString()
	{
	return "[" + first + " & " + second + "]";
	}

private: 
	F first;
	S second;

};
